## hdv1394src hdv1394src — Source for MPEG-TS video data from firewire port |

## Synopsis

    struct              GstHDV1394Src;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseSrc
                               +----GstPushSrc
                                     +----GstHDV1394Src

## Implemented Interfaces

GstHDV1394Src implements GstURIHandler and GstPropertyProbe.

## Properties

      "channel"                  gint                  : Read / Write
      "device-name"              gchar*                : Read
      "guid"                     guint64               : Read / Write
      "port"                     gint                  : Read / Write
      "use-avc"                  gboolean              : Read / Write

## Description

## Synopsis

### Element Information

plugin | 1394
author | Edward Hervey <bilboed@bilboed.com>
class | Source/Video

### Element Pads

name | src
direction | source
presence | always
details | video/mpegts, systemstream=(boolean)true, packetsize=(int)188

## Details

### struct GstHDV1394Src

    struct GstHDV1394Src;

## Property Details

### The `"channel"` property

      "channel"                  gint                  : Read / Write

Channel number for listening.

Allowed values: [0,64]

Default value: 63

### The `"device-name"` property

      "device-name"              gchar*                : Read

user-friendly name of the device.

Default value: "Default"

### The `"guid"` property

      "guid"                     guint64               : Read / Write

select one of multiple DV devices by its GUID. use a hexadecimal like 0xhhhhhhhhhhhhhhhh. (0 = no guid).

Default value: 0

### The `"port"` property

      "port"                     gint                  : Read / Write

Port number (-1 automatic).

Allowed values: [G_MAXULONG,16]

Default value: -1

### The `"use-avc"` property

      "use-avc"                  gboolean              : Read / Write

Use AV/C VTR control.

Default value: TRUE